API referenceCampaigns
Create a campaign
POST
/campaignsCreates a draft. Content is a template (its published version is pinned at send time) or inline html/text with merge tags; the audience is list_ids and/or a filter segment_id, optionally gated by a public preference_list_id.
Authorization
apiKey AuthorizationBearer <token>
A project API key: Authorization: Bearer s0_…
In: header
Request Body
application/json
TypeScript Definitions
Use the request body type in TypeScript.
Response Body
application/json
application/json
application/json
application/json
application/json
application/json
application/json
application/json
application/json
curl -X POST "https://example.com/campaigns" \ -H "Content-Type: application/json" \ -d '{ "name": "string" }'{ "object": "campaign", "id": "string", "name": "string", "status": "draft", "from": "string", "reply_to": [ "string" ], "subject": "string", "preheader": "string", "template_id": "string", "template_version_id": "string", "html": "string", "text": "string", "list_ids": [ "string" ], "segment_id": "string", "preference_list_id": "string", "scheduled_at": "2019-08-24T14:15:22Z", "sent_at": "2019-08-24T14:15:22Z", "last_error": "string", "stats": { "recipients": 0, "sent": 0, "delivered": 0, "opened": 0, "clicked": 0, "bounced": 0, "complained": 0, "unsubscribed": 0, "failed": 0, "skipped": 0 }, "created_at": "2019-08-24T14:15:22Z", "updated_at": "2019-08-24T14:15:22Z"}